Bug 1008326 - Unclear error message when trying to rollback non-existent patch
Unclear error message when trying to rollback non-existent patch
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Patching (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Brian Stansberry
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 03:24 EDT by Jan Martiska
Modified: 2015-04-23 06:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martiska 2013-09-16 03:24:30 EDT
[disconnected /] patch rollback --patch-id=asdfadsf --reset-configuration=false
JBAS016848: Cannot rollback patch (asdfadsf)

When the user tries to rollback an unknown patch ID, the message should be made clearer to say that the patch does not exist (is not installed).
Comment 1 Shaun Appleton 2013-09-25 05:26:13 EDT
To assist in patch identification it would be better if the description of the patch was included as well.

For example

[disconnected /] patch rollback --patch-id=asdfadsf --reset-configuration=false
JBAS016848: Cannot rollback patch (asdfadsf) EJB3 fix see JBPAPP-12345

is better than 

[disconnected /] patch rollback --patch-id=asdfadsf --reset-configuration=false
JBAS016848: Cannot rollback patch (asdfadsf)

Alternatively, 
Make available a list of codes (in the release notes?) so users can tell easily which patch failed.

ie.

 patch code   description
   asdfadsf   EJB3 fix see JBPAPP-12345
   bsdfadsg   HQ fix for durable topics see JBPAPP-98765
...
Comment 7 Dimitris Andreadis 2015-02-03 16:03:19 EST
re-assign Emanuel's assigned bugs to Brian.

Note You need to log in before you can comment on or make changes to this bug.